## c2x 2.34d

=== Makefile ===
# Warning: dependences on .h files are not given. If you change
# these, type "make clean; make"

OBJS=check2xsf.o check_read.o xsf_write.o molecule_fix.o cube_write.o \
     cell_read.o periodic_table.o basis.o super.o xplor_write.o \
     pdb_write.o cell_write.o dx_write.o vasp_write.o pdb_read.o \
     xyz_write.o cml_write.o fdf_write.o gpfa.o rotate.o chdiff_read.o \
     esp_read.o interpolate.o line_write.o shelx_read.o shelx_write.o \
     fbin_write.o ident_sym.o primitive.o ksym.o f15.o cif_write.o \
     cube_read.o cif_read.o c2x2spg.o sort_atoms.o py_write.o \
     xsf_read.o vasp_read.o denfmt_write.o denfmt_read.o parse.o \
     dipole.o fort34_read.o crystal_read.o abinit_read.o abinit_write.o \
     abinit_in_read.o fdf_read.o qe_write.o qe_read.o parity.o potential.o \
     qe_rho_read.o qe_xml_read.o dict.o charge.o qe_psi_read.o print_cell.o \
     bands_write.o geom_write.o xv_read.o rho_read.o tube.o ccp4_write.o \
     xc.o band_process.o gcoeff_write.o wavecar_write.o bxsf_write.o \
     bands_read.o xyz_read.o gcoeff_read.o elk_write.o elk_read.o \
     geom_read.o


# Recommended: -DSPGLIB

# For SPGLIB (1.8.3 or greater)

DEFS=-DSPGLIB
CPPFLAGS=-I.
LDFLAGS=-L.
LIBS=-lsymspg

# To compile without SPGLIB, set all of the above to be empty

#DEFS=
#CPPFLAGS=
#LDFLAGS=
#LIBS=

# Linux / x86_64 / gcc
CFLAGS=-Wall -Wno-unused-result -O -g  $(DEFS)

# Linux / IA32 / gcc
#CFLAGS=-Wall -Wno-unused-result -O -D_FILE_OFFSET_BITS=64 $(DEFS) -g
# Tru64
#CFLAGS=-O -std1
# Solaris
#CFLAGS=-O -xarch=native64

CC=cc

c2x: c2xsf.h $(OBJS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o  c2x $(OBJS) -lm $(LIBS)

check2xsf.o: c2xsf.h

clean:
	rm c2x $(OBJS)

=== debian/changelog ===
c2x (2.34d-1) unstable; urgency=medium

  * Initial release (Closes: #968198).

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Aug 2020 06:52:01 -0400

=== debian/control ===
Source: c2x
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libsymspg-dev,
Standards-Version: 4.5.0
Homepage: https://www.c2x.org.uk
Vcs-Browser: https://salsa.debian.org/debichem-team/c2x
Vcs-Git: https://salsa.debian.org/debichem-team/c2x.git

Package: c2x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: converter between DFT electronic structure codes formats
 This program should convert CASTEP's .check, .castep_bin, orbitals and .cell
 to various other formats, particularly so that they can be visualised with
 Jmol, XCrysDen, gnuplot and other programs. It can extract change and spin
 densities, wavefunctions, symmetry operations, and much else besides. It also
 interfaces with VASP, Siesta, and other electronic structure codes.
 .
 The code can also manipulate .cell and .pdb files, building supercells
 or performing shifts.

=== debian/watch ===
version=4
https://www.c2x.org.uk/downloads/ \
 c2x_(\d[\d\.a-z]*)\.tgz

## c2x 2.35

=== debian/changelog ===
c2x (2.35-1) unstable; urgency=medium

  * New upstream version 2.35

 -- Andrius Merkys <merkys@debian.org>  Fri, 11 Dec 2020 01:10:23 -0500

## c2x 2.35a

=== debian/changelog ===
c2x (2.35a-1) unstable; urgency=medium

  * New upstream version 2.35a

 -- Andrius Merkys <merkys@debian.org>  Mon, 28 Dec 2020 02:58:42 -0500

## c2x 2.35a+ds

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
      bands_write.o geom_write.o xv_read.o rho_read.o tube.o ccp4_write.o \
      xc.o band_process.o gcoeff_write.o wavecar_write.o bxsf_write.o \
      bands_read.o xyz_read.o gcoeff_read.o elk_write.o elk_read.o \
-     geom_read.o
+     geom_read.o npy_write.o
 
 
 # Recommended: -DSPGLIB
@@ -35,7 +35,7 @@
 #LIBS=
 
 # Linux / x86_64 / gcc
-CFLAGS=-Wall -Wno-unused-result -O -g  $(DEFS)
+CFLAGS=-Wall -Wno-unused-result -O -g $(DEFS)
 
 # Linux / IA32 / gcc
 #CFLAGS=-Wall -Wno-unused-result -O -D_FILE_OFFSET_BITS=64 $(DEFS) -g

=== debian/changelog ===
c2x (2.35a+ds-1) unstable; urgency=medium

  * Repacking the source to exclude embedded spglib.

 -- Andrius Merkys <merkys@debian.org>  Tue, 29 Dec 2020 02:46:51 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
 
 Package: c2x
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: converter between DFT electronic structure codes formats
  This program should convert CASTEP's .check, .castep_bin, orbitals and .cell
  to various other formats, particularly so that they can be visualised with

## c2x 2.40+ds

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
      bands_write.o geom_write.o xv_read.o rho_read.o tube.o ccp4_write.o \
      xc.o band_process.o gcoeff_write.o wavecar_write.o bxsf_write.o \
      bands_read.o xyz_read.o gcoeff_read.o elk_write.o elk_read.o \
-     geom_read.o npy_write.o
+     geom_read.o npy_read.o npy_write.o file_read.o data_combine.o \
+     dx_read.o
 
 
 # Recommended: -DSPGLIB
@@ -44,7 +45,7 @@
 # Solaris
 #CFLAGS=-O -xarch=native64
 
-CC=cc
+CC=gcc
 
 c2x: c2xsf.h $(OBJS)
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o  c2x $(OBJS) -lm $(LIBS)

=== debian/changelog ===
c2x (2.40+ds-1) unstable; urgency=medium

  * New upstream version 2.40+ds

 -- Andrius Merkys <merkys@debian.org>  Tue, 17 Aug 2021 01:29:39 -0400

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto \
 https://www.c2x.org.uk/downloads/ \
 c2x_(\d[\d\.a-z]*)\.tgz

## c2x 2.40.c+ds

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #LDFLAGS=
 #LIBS=
 
-# Linux / x86_64 / gcc
+# Linux or MacOS / x86_64 / gcc
 CFLAGS=-Wall -Wno-unused-result -O -g $(DEFS)
 
 # Linux / IA32 / gcc
@@ -53,5 +53,5 @@
 check2xsf.o: c2xsf.h
 
 clean:
-	rm c2x $(OBJS)
+	-rm c2x $(OBJS)

=== debian/changelog ===
c2x (2.40.c+ds-1) unstable; urgency=medium

  * New upstream version 2.40.c+ds
  * Adjusting upstream version number to be correctly understood by Debian
    tooling (see README.Debian for motivation).
  * Adding autopkgtest.
  * Bumping copyright years.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Wed, 02 Mar 2022 02:18:35 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libsymspg-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.c2x.org.uk
 Vcs-Browser: https://salsa.debian.org/debichem-team/c2x
 Vcs-Git: https://salsa.debian.org/debichem-team/c2x.git

## c2x 2.40.d+ds

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,8 @@
 
 DEFS=-DSPGLIB
 CPPFLAGS=-I.
+# Add "-fopenmp" to next line if the linker complains about various
+# missing threads
 LDFLAGS=-L.
 LIBS=-lsymspg

=== debian/changelog ===
c2x (2.40.d+ds-1) unstable; urgency=medium

  * New upstream version 2.40.d+ds

 -- Andrius Merkys <merkys@debian.org>  Thu, 29 Dec 2022 01:52:46 -0500

## c2x 2.40.e+ds

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
      xc.o band_process.o gcoeff_write.o wavecar_write.o bxsf_write.o \
      bands_read.o xyz_read.o gcoeff_read.o elk_write.o elk_read.o \
      geom_read.o npy_read.o npy_write.o file_read.o data_combine.o \
-     dx_read.o
+     dx_read.o mol_read.o mol_write.o
 
 
 # Recommended: -DSPGLIB

=== debian/changelog ===
c2x (2.40.e+ds-1) unstable; urgency=medium

  * New upstream version 2.40.e+ds
  * Bump copyright years.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Feb 2023 06:01:54 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libsymspg-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.c2x.org.uk
 Vcs-Browser: https://salsa.debian.org/debichem-team/c2x
 Vcs-Git: https://salsa.debian.org/debichem-team/c2x.git

## c2x 2.41+ds

=== debian/changelog ===
c2x (2.41+ds-1build2) noble; urgency=medium

  * Rebuild against libspglib-f08-2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2023 19:00:51 +0100

c2x (2.41+ds-1build1) noble; urgency=medium

  * Rebuild against libspglib-f08-2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2023 18:47:32 +0100

c2x (2.41+ds-1) unstable; urgency=medium

  * New upstream version 2.41
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Sat, 30 Sep 2023 07:15:58 -0400

## c2x 2.41.a+ds

=== debian/changelog ===
c2x (2.41.a+ds-1) unstable; urgency=medium

  * New upstream version 2.41.a
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Jan 2024 10:41:29 -0500

## c2x 2.41.b+ds

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
      xc.o band_process.o gcoeff_write.o wavecar_write.o bxsf_write.o \
      bands_read.o xyz_read.o gcoeff_read.o elk_write.o elk_read.o \
      geom_read.o npy_read.o npy_write.o file_read.o data_combine.o \
-     dx_read.o mol_read.o mol_write.o
+     dx_read.o mol_read.o mol_write.o zones.o grad.o
 
 
 # Recommended: -DSPGLIB

=== debian/changelog ===
c2x (2.41.b+ds-2) unstable; urgency=medium

  * Update package description.

 -- Andrius Merkys <merkys@debian.org>  Fri, 02 Feb 2024 04:15:48 -0500

c2x (2.41.b+ds-1) unstable; urgency=medium

  * New upstream version 2.41.b

 -- Andrius Merkys <merkys@debian.org>  Thu, 01 Feb 2024 01:53:22 -0500

## c2x 2.42+ds

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
      xc.o band_process.o gcoeff_write.o wavecar_write.o bxsf_write.o \
      bands_read.o xyz_read.o gcoeff_read.o elk_write.o elk_read.o \
      geom_read.o npy_read.o npy_write.o file_read.o data_combine.o \
-     dx_read.o mol_read.o mol_write.o zones.o grad.o
+     dx_read.o mol_read.o mol_write.o zones.o grad.o band_plot.o \
+     dos.o bravais_sc.o phonon_read.o
 
 
 # Recommended: -DSPGLIB
@@ -54,6 +55,9 @@
 
 check2xsf.o: c2xsf.h
 
+bravais_sc.o: specials_sc.h
+
+# Debian likes "rm -f"
 clean:
-	-rm c2x $(OBJS)
+	-rm -f c2x $(OBJS)

=== debian/changelog ===
c2x (2.42+ds-1) unstable; urgency=medium

  * New upstream version 2.42

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Mar 2025 05:50:57 -0400

=== debian/tests/control ===
Test-Command: c2x /usr/share/doc/pdb2pqr/examples/1a1p/1a1p.pdb /dev/null
Depends:
 pdb2pqr-doc,
 @,
Restrictions: allow-stderr

## c2x 2.42.a+ds

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,8 @@
 #LIBS=
 
 # Linux or MacOS / x86_64 / gcc
-CFLAGS=-Wall -Wno-unused-result -O -g $(DEFS)
+# For better optimisation on x86_64, add -mavx2 assuming modern hardware
+CFLAGS=-Wall -Wno-unused-result -O2 -g $(DEFS)
 
 # Linux / IA32 / gcc
 #CFLAGS=-Wall -Wno-unused-result -O -D_FILE_OFFSET_BITS=64 $(DEFS) -g

=== debian/changelog ===
c2x (2.42.a+ds-2) unstable; urgency=medium

  * Patch Makefile to pass the default build flags (Closes: #1119367)

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Oct 2025 04:35:44 -0400

c2x (2.42.a+ds-1) unstable; urgency=medium

  * New upstream version 2.42.a

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Oct 2025 02:40:08 -0400

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,uversionmangle=s#([a-z])$#\.\1# \
 https://www.c2x.org.uk/downloads/ \
 c2x_(\d[\d\.a-z]*)\.tgz
